> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Usage summary



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 get /frontend/api/v1/statistics/summary
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /frontend/api/v1/statistics/summary:
    get:
      tags:
        - Statistics
      summary: Usage summary
      operationId: routes/statistics.GetSummary
      parameters:
        - name: month
          in: query
          schema:
            $ref: '#/components/schemas/StatisticsMonth'
        - name: year
          in: query
          schema:
            $ref: '#/components/schemas/StatisticsYear'
        - name: user-id
          in: query
          schema:
            items:
              minimum: 0
              type: integer
            type: array
          explode: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatisticsGetSummaryResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterUnauthorizedError'
      security:
        - api_key_header: []
        - api_key: []
        - jwt-token: []
        - jwt-cookie: []
        - jwt: []
components:
  schemas:
    StatisticsMonth:
      maximum: 12
      minimum: 1
      type: integer
    StatisticsYear:
      maximum: 2025
      minimum: 2024
      type: integer
    StatisticsGetSummaryResponse:
      properties:
        period:
          $ref: '#/components/schemas/StatisticsPeriod'
        users-usage:
          items:
            $ref: '#/components/schemas/StatisticsUsersUsage'
          type:
            - array
            - 'null'
      type: object
    RouterUnauthorizedError:
      properties:
        code:
          description: Application-specific error code.
          type: integer
        context:
          additionalProperties: {}
          description: Application context.
          type: object
        error:
          description: Error message.
          type: string
        status:
          description: Status text.
          type: string
      type: object
    StatisticsPeriod:
      properties:
        from:
          format: date-time
          type:
            - 'null'
            - string
        to:
          format: date-time
          type:
            - 'null'
            - string
      type: object
    StatisticsUsersUsage:
      properties:
        resources:
          $ref: '#/components/schemas/StatisticsResourceOrderedMap'
        user-id:
          minimum: 0
          type: integer
      type: object
    StatisticsResourceOrderedMap:
      items:
        $ref: '#/components/schemas/StatisticsResource'
      type:
        - array
        - 'null'
    StatisticsResource:
      properties:
        amount:
          minimum: 0
          type:
            - 'null'
            - integer
        name:
          $ref: '#/components/schemas/StatisticsResourceName'
        price:
          type:
            - 'null'
            - number
        title:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - number
        value-type:
          $ref: '#/components/schemas/StatisticsResourceValueType'
      type: object
    StatisticsResourceName:
      enum:
        - count
        - fail
        - c2pa_fail
        - ffprobe_fail
        - mediainfo_fail
        - msv_fail
        - probe_report_fail
        - success
        - c2pa_success
        - ffprobe_success
        - mediainfo_success
        - probe_report_success
        - msv_success
        - total
        - avg_queue_time
        - max_queue_time
        - min_queue_time
        - http_sources_count
        - s3_sources_count
        - unknown_sources_count
        - usage
        - c2pa_usage
        - ffprobe_usage
        - io_usage
        - mediainfo_usage
        - msv_usage
        - probe_report_usage
      type: string
    StatisticsResourceValueType:
      enum:
        - ms
        - request
        - byte
      type:
        - 'null'
        - string
  securitySchemes:
    api_key_header:
      description: API Key Security (Header).
      type: http
      scheme: bearer
    api_key:
      description: API Key Security
      type: apiKey
      name: token
      in: query
    jwt-token:
      description: JWT API Security (Token).
      type: apiKey
      name: jwt
      in: query
    jwt-cookie:
      description: JWT API Security (Cookie).
      type: apiKey
      name: jwt
      in: cookie
    jwt:
      description: JWT API Security (Header).
      type: http
      scheme: bearer
      bearerFormat: JWT

````